package com.huimv.acquisition.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * 
 * 
 * @author yinhao
 * @version ${version}
 * @date 2021-08-11 17:05:02
 */
@Data
@TableName("pig_basic_information")
public class PigBasicInformationEntity implements Serializable {
	private static final long serialVersionUID = 1L;

	/**
	 * 
	 */
	@TableId
	private Integer id;
	/**
	 * 耳标号
	 */
	private String eartagNo;
	/**
	 * 创建时间
	 */
	private Date createTime;
	/**
	 * 更新时间
	 */
	private Date updateTime;
	/**
	 * 机器编码
	 */
	private String deviceCode;
	/**
	 * 猪的出生日期
	 */
	private Date birthDay;
	/**
	 * 佩标日期
	 */
	private Date wearTagTime;
	/**
	 * 牧场编号
	 */
	private String farmCode;
	/**
	 * 牧场名称
	 */
	private String farmName;
	/**
	 * 猪舍id
	 */
	private Integer penId;
	/**
	 * 猪舍名称
	 */
	private String penName;
	/**
	 * 单元id
	 */
	private Integer unitId;
	/**
	 * 单元名称
	 */
	private String unitName;
	/**
	 * 县id
	 */
	private Integer countyId;
	/**
	 * 县名称
	 */
	private String countyName;
	/**
	 * 备注
	 */
	private String remark;


	private Integer stage;

}
