package com.huimv.acquisition.service.impl;


import com.huimv.acquisition.entity.PigBasicInformationEntity;
import com.huimv.acquisition.mapper.PigBasicInformationDao;
import com.huimv.acquisition.service.PigBasicInformationService;
import com.huimv.acquisition.utils.PageUtils;
import com.huimv.acquisition.utils.Query;
import org.springframework.stereotype.Service;
import java.util.Map;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;


/**
 * 
 *
 * @author yinhao
 * @version ${version}
 * @date 2021-08-11 17:05:02
 */
@Service("pigBasicInformationService")
public class PigBasicInformationServiceImpl extends ServiceImpl<PigBasicInformationDao, PigBasicInformationEntity> implements PigBasicInformationService {

    @Override
    public PageUtils queryPage(Map<String, Object> params) {
        IPage<PigBasicInformationEntity> page = this.page(
                new Query<PigBasicInformationEntity>().getPage(params),
                new QueryWrapper<PigBasicInformationEntity>()
        );
        return new PageUtils(page);
    }

}